Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.control
Class CSWRequestFactory

    java.lang.Object
      org.deegree.portal.standard.csw.control.CSWRequestFactory

Direct Known Subclasses:
  ISO19115RequestFactory, ISO19119RequestFactory

    public abstract class CSWRequestFactory

extends Object

A `${type_name}` class.
This class is an abstract class for any CSW request factory. Known extensions are ISO19115RequestFactory, ISO19119RequestFactory. TODO

- add new extensions, when they are created.
- add new extensions to file requestfactories.properties

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary
`protected CSWClientConfiguration` | `config`
`(package private) static String` | `RPC_ELEMENTSETNAME` possible values are: brief, summary, full
`(package private) static String` | `RPC_KEYWORDS`
`(package private) static String` | `RPC_MDTYPE` possible values are: csw:dataset, csw:dataseries csw:application
`(package private) static String` | `RPC_STARTPOSITION` spec-default is 1
`(package private) static String` | `RPC_TOPICCATEGORY`
`(package private) static String` | `RPC_TYPENAME`

Constructor Summary
`CSWRequestFactory()`

Method Summary
`abstract String` | `createRequest(RPCStruct struct, String resultType)`
`void` | `setConfiguration(CSWClientConfiguration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected CSWClientConfiguration config

### RPC_ELEMENTSETNAME

    static final String RPC_ELEMENTSETNAME

  possible values are: brief, summary, full

  See Also:
    Constant Field Values

### RPC_KEYWORDS

    static final String RPC_KEYWORDS

See Also:
  Constant Field Values

### RPC_STARTPOSITION

    static final String RPC_STARTPOSITION

  spec-default is 1

  See Also:
    Constant Field Values

### RPC_TOPICCATEGORY

    static final String RPC_TOPICCATEGORY

See Also:
  Constant Field Values

### RPC_TYPENAME

    static final String RPC_TYPENAME

See Also:
  Constant Field Values

### RPC_MDTYPE

    static final String RPC_MDTYPE

  possible values are: csw:dataset, csw:dataseries csw:application

  See Also:
    Constant Field Values

Constructor Detail

### CSWRequestFactory

    public CSWRequestFactory()

Method Detail

### createRequest

    public abstract String createRequest(RPCStruct struct,
                                         String resultType)
                                  throws CatalogClientException

  Parameters:
    `struct` -
    `resultType` -
  Returns:
    String
  Throws:
    `CatalogClientException`

### setConfiguration

    public void setConfiguration(CSWClientConfiguration config)

  Parameters:
    `config` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org